const fs = require('fs-extra')
const resolveCwd = require('resolve-cwd')
const { logger } = require('./logger')

module.exports = async (reservationManager, pathToUsers) => {
  try {
    // Read JSON file containing users
    const userData = await fs.readJSON(resolveCwd(pathToUsers))
    return userData.map(user => {
      reservationManager.addResource({
        type: 'users',
        data: user
      })
    })
  } catch (error) {
    logger.error(`Failed to load users from '${pathToUsers}' - ${error}`)
  }
}
